Skip to main content

Applications APIs

Note

Different bank partners may have different onboarding requirements. If your bank partner is Thread Bank, please refer to the Thread Applications API documentation.

Create Individual Application

Create an application for an individual end-customer.

Suggestion

The SSN (or passport number, for non US citizens) is used as the unique identifier for an individual on Unit. The same identifier cannot be used to submit multiple applications. If an application for a certain individual has been denied, canceled or archived, they may use their SSN/passport number to reapply. Otherwise, duplicate applications will result in an HTTP error (400).

This functionality can be enabled/disabled on Unit dashboard at: Settings -> Org Settings -> General -> Prevent duplicate individual applications.

VerbPOST
URLhttps://api.s.unit.sh/applications
Required Scopeapplications-write
Data TypeindividualApplication
Timeout (Seconds)120

Attributes

NameTypeDescription
ssnstringSSN (or ITIN) of the individual (numbers only). Either an ssn or passport is required. It is optional to provide only last 4 SSN digits.
passportstringPassport number of the individual. Valid only for non-US persons. Either an ssn or passport number is required.
nationalityISO31661-Alpha2 stringRequired if a passport is used as the main ID and optional when ssn is used. Two letters representing the individual's nationality. (e.g. "US").
fullName RequiredFullNameFull name of the individual.
dateOfBirth RequiredRFC3339 Date stringDate only (e.g. "2001-08-15").
address RequiredAddressAddress of the individual. Must be a US address.
phone RequiredPhonePhone number of the individual.
email RequiredstringEmail address of the individual.
evaluationParams OptionalEvaluationParamsEvaluation Params for this entity.
occupation RequiredOccupationOccupation of the individual.
annualIncomeAnnualIncomeRequired if nationality is not US. Annual income of the individual.
sourceOfIncomeSourceOfIncomeRequired if nationality is not US. Source of income of the individual.
ip OptionalstringIP address of the end-customer creating the application. Both IPv4 and IPv6 formats are supported. Highly recommended as a fraud prevention measure, if the information is available when submitting the application.
tags OptionalobjectSee Tags. Tags that will be copied to the customer that this application creates (see Tag Inheritance).
idempotencyKey OptionalstringSee Idempotency.
deviceFingerprints OptionalArray of Device FingerprintA list of device fingerprints for fraud and risk prevention (See Device Fingerprints).
jwtSubject OptionalstringSee this section for more information.
banks OptionalArray of Bank namesThe name of the bank or banks that should be associated with this application. If not specified, the application will be associated with the Org's default bank (visible via Org Settings in the Dashboard).
Example Request:
curl -X POST 'https://api.s.unit.sh/applications'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "individualApplication",
"attributes": {
"ssn": "721074426",
"fullName": {
"first": "Peter",
"last": "Parker"
},
"dateOfBirth": "2001-08-10",
"address": {
"street": "20 Ingram St",
"city": "Forest Hills",
"state": "NY",
"postalCode": "11375",
"country": "US"
},
"email": "peter@oscorp.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"ip": "127.0.0.2",
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between50kAnd100k",
"sourceOfIncome": "EmploymentOrPayrollIncome",
"tags": {
"userId": "106a75e9-de77-4e25-9561-faffe59d7814"
},
"idempotencyKey": "3a1a33be-4e12-4603-9ed0-820922389fb8"
}
}
}'

Response

Response is a JSON:API document.

201 Created

NameTypeDescription
data RequiredIndividualApplicationThe newly created resource.
includedArray of ApplicationDocument ResourceRequired documents for this application. Each document resource includes the document status.
Example Response:
{
"data": {
"type": "individualApplication",
"id": "53",
"attributes": {
"createdAt": "2020-01-14T14:05:04.718Z",
"fullName": {
"first": "Peter",
"last": "Parker"
},
"ssn": "721074426",
"address": {
"street": "20 Ingram St",
"street2": null,
"city": "Forest Hills",
"state": "NY",
"postalCode": "11375",
"country": "US"
},
"dateOfBirth": "2001-08-10",
"email": "peter@oscorp.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"status": "AwaitingDocuments",
"ip": "127.0.0.2",
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between50kAnd100k",
"sourceOfIncome": "EmploymentOrPayrollIncome",
"soleProprietorship": false,
"tags": {
"userId": "106a75e9-de77-4e25-9561-faffe59d7814"
},
"archived": false
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
},
"documents": {
"data": [
{
"type": "document",
"id": "1"
},
{
"type": "document",
"id": "2"
}
]
}
}
},
"included": [
{
"type": "document",
"id": "1",
"attributes": {
"documentType": "AddressVerification",
"status": "Required",
"name": "Peter Parker",
"description": "Please provide a document to verify your address. Document may be a utility bill, bank statement, lease agreement or current pay stub.",
"address": {
"street": "20 Ingram St",
"street2": null,
"city": "Forest Hills",
"state": "NY",
"postalCode": "11375",
"country": "US"
}
}
},
{
"type": "document",
"id": "2",
"attributes": {
"documentType": "IdDocument",
"status": "Required",
"name": "Peter Parker",
"description": "Please provide a copy of your unexpired government issued photo ID which would include Drivers License or State ID.",
"dateOfBirth": "2001-08-10"
}
}
]
}

Create Sole Proprietor Application

Create an application for a sole proprietor.

Suggestion

A sole proprietorship is a type of enterprise owned and run by one person, and in which there is no legal distinction between the owner and the business entity. As such, it is evaluated as an individual, with the soleProprietorship attribute set to true

Suggestion

The SSN (or passport number, for non US citizens) is used as the unique identifier for an individual on Unit. The same identifier cannot be used to submit multiple applications. If an application for a certain individual has been denied, canceled or archived, they may use their SSN/passport number to reapply. Otherwise, duplicate applications will result in an HTTP error (400).

This functionality can be enabled/disabled on Unit dashboard at: Settings -> Org Settings -> General -> Prevent duplicate individual applications.

VerbPOST
URLhttps://api.s.unit.sh/applications
Required Scopeapplications-write
Data TypeindividualApplication
Timeout (Seconds)120

Attributes

NameTypeDescription
ssnstringSSN (or ITIN) of the individual (numbers only). Either an ssn or passport is required.
passportstringPassport number of the individual. Valid only for non-US persons. Either an ssn or passport number is required.
nationalityISO31661-Alpha2 stringRequired if a passport is used as the main ID and optional when ssn is used. Two letters representing the individual's nationality. (e.g. "US").
fullName RequiredFullNameFull name of the individual.
dateOfBirth RequiredRFC3339 Date stringDate only (e.g. "2001-08-15").
address RequiredAddressAddress of the individual. Must be a US address.
phone RequiredPhonePhone number of the individual.
email RequiredstringEmail address of the individual.
soleProprietorship RequiredbooleanSet this to true in order to indicate that the individual is a sole proprietor.
ein OptionalstringIf the individual is a sole proprietor who has an Employer Identification Number, specify it here. Not all sole proprietors have an EIN, so this attribute is optional, even when soleProprietorship is set to true.
dba OptionalstringIf the individual is a sole proprietor who is doing business under a different name, specify it here. This attribute is optional, even when soleProprietorship is set to true.
evaluationParams OptionalEvaluationParamsEvaluation Params for this entity.
annualRevenueAnnualRevenueRequired if nationality is not US. For sole proprietors, specify the annual revenue here.
numberOfEmployeesNumberOfEmployeesRequired if nationality is not US. For sole proprietors, specify the number of employees here.
businessVertical RequiredBusinessVerticalFor sole proprietors, specify the business vertical here.
website RequiredstringA Valid website Url. Providing a null value is indicative of the business customer attesting that they do not have a website.
ip OptionalstringIP address of the end-customer creating the application. Both IPv4 and IPv6 formats are supported. Highly recommended as a fraud prevention measure, if the information is available when submitting the application.
tags OptionalobjectSee Tags. Tags that will be copied to the customer that this application creates (see Tag Inheritance).
idempotencyKey OptionalstringSee Idempotency.
deviceFingerprints OptionalArray of Device FingerprintA list of device fingerprints for fraud and risk prevention (See Device Fingerprints).
jwtSubject OptionalstringSee this section for more information.
banks OptionalArray of Bank namesThe name of the bank or banks that should be associated with this application. If not specified, the application will be associated with the Org's default bank (visible via Org Settings in the Dashboard).
requestedProducts OptionalArray of ProductThe product being applied for. Contact Unit to enable BillPay and Capital products.
Example Request:
curl -X POST 'https://api.s.unit.sh/applications'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "individualApplication",
"attributes": {
"ssn": "721074426",
"fullName": {
"first": "Peter",
"last": "Parker"
},
"dateOfBirth": "2001-08-10",
"address": {
"street": "20 Ingram St",
"city": "Forest Hills",
"state": "NY",
"postalCode": "11375",
"country": "US"
},
"email": "peter@oscorp.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"ip": "127.0.0.2",
"soleProprietorship": true,
"ein": "123456789",
"dba": "Piedpiper Inc",
"businessVertical": "TechnologyMediaOrTelecom",
"numberOfEmployees": "Between5And10",
"website": "https://www.piedpiper.com",
"tags": {
"userId": "106a75e9-de77-4e25-9561-faffe59d7814"
},
"idempotencyKey": "3a1a33be-4e12-4603-9ed0-820922389fb8"
}
}
}'

Response

Response is a JSON:API document.

201 Created

NameTypeDescription
data RequiredIndividualApplicationThe newly created resource.
includedArray of ApplicationDocument ResourceRequired documents for this application. Each document resource includes the document status.
Example Response:
{
"data": {
"type": "individualApplication",
"id": "53",
"attributes": {
"createdAt": "2020-01-14T14:05:04.718Z",
"fullName": {
"first": "Peter",
"last": "Parker"
},
"ssn": "721074426",
"address": {
"street": "20 Ingram St",
"street2": null,
"city": "Forest Hills",
"state": "NY",
"postalCode": "11375",
"country": "US"
},
"dateOfBirth": "2001-08-10",
"email": "peter@oscorp.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"status": "AwaitingDocuments",
"ip": "127.0.0.2",
"soleProprietorship": true,
"ein": "123456789",
"dba": "Piedpiper Inc",
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between50kAnd100k",
"sourceOfIncome": "EmploymentOrPayrollIncome",
"annualRevenue": "Between100kAnd200k",
"numberOfEmployees": "Between5And10",
"businessVertical": "TechnologyMediaOrTelecom",
"website": "https://www.piedpiper.com",
"tags": {
"userId": "106a75e9-de77-4e25-9561-faffe59d7814"
},
"archived": false
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
},
"documents": {
"data": [
{
"type": "document",
"id": "1"
},
{
"type": "document",
"id": "2"
}
]
}
}
},
"included": [
{
"type": "document",
"id": "1",
"attributes": {
"documentType": "AddressVerification",
"status": "Required",
"name": "Peter Parker",
"description": "Please provide a document to verify your address. Document may be a utility bill, bank statement, lease agreement or current pay stub.",
"address": {
"street": "20 Ingram St",
"street2": null,
"city": "Forest Hills",
"state": "NY",
"postalCode": "11375",
"country": "US"
}
}
},
{
"type": "document",
"id": "2",
"attributes": {
"documentType": "IdDocument",
"status": "Required",
"name": "Peter Parker",
"description": "Please provide a copy of your unexpired government issued photo ID which would include Drivers License or State ID.",
"dateOfBirth": "2001-08-10"
}
}
]
}

Create Business Application

Create an application for a business end-customer.

Suggestion

Companies that are publicly traded in a major US stock exchange are subject to lighter onboarding requirements. If your customer base includes publicly traded companies, please reach out to Unit for additional information.

VerbPOST
URLhttps://api.s.unit.sh/applications
Required Scopeapplications-write
Data TypebusinessApplication
Timeout (Seconds)120

Attributes

NameTypeDescription
name RequiredstringName of the business.
dba Optionalstring"Doing business as".
address RequiredAddressAddress of the business. Must be a US address
phone RequiredPhonePhone number of the business.
stateOfIncorporation RequiredstringTwo letters representing a US state.
ein RequiredstringBusiness EIN (numbers only).
entityType RequiredstringOne of LLC, Partnership, PubliclyTradedCorporation, PrivatelyHeldCorporation or NotForProfitOrganization.
website RequiredstringA Valid website Url. Providing a null value is indicative of the business customer attesting that they do not have a website.
contact RequiredBusinessContactPrimary contact of the business. This person is the one that will have access to the account.
officer RequiredOfficerOfficer representing the business. See OfficerTitle for allowed title values. To successfully onboard a business, provide the officer's personal details.
beneficialOwners RequiredArray of BeneficialOwnerArray of beneficial owners in the business. A beneficial owner is anyone who owns at least 25% of the business. To successfully onboard a business, provide each beneficial owner's personal details. If the business has no beneficial owners, the array should be empty.
attestedNoBeneficialOwners Requiredbooleantrue if no beneficial owners are provided; otherwise - false .
annualRevenueAnnualRevenueRequired if any of the officer / BeneficialOwner of the business have a non US nationality. Annual revenue of the business.
numberOfEmployeesNumberOfEmployeesRequired if any of the officer / BeneficialOwner of the business have a non US nationality. Number of employees of the business.
cashFlowCashFlowRequired if any of the officer / BeneficialOwner of the business have a non US nationality. Cash flow of the business.
yearOfIncorporation RequiredYear stringYear of incorporation of the business as a 4-digit year string (e.g., "2014").
countriesOfOperationArray of ISO31661-Alpha2 stringsRequired if any of the officer / BeneficialOwner of the business have a non US nationality. An array of two letter codes representing the countries of operation of the business.
stockSymbol OptionalstringThe stock symbol (ticker) of the business.
businessVertical RequiredBusinessVerticalThe business vertical of the business.
ip OptionalstringIP address of the end-customer creating the application. Both IPv4 and IPv6 formats are supported. Highly recommended as a fraud prevention measure, if the information is available when submitting the application.
tags OptionalobjectSee Tags. Tags that will be copied to the customer that this application creates (see Tag Inheritance).
idempotencyKey OptionalstringSee Idempotency.
deviceFingerprints OptionalArray of Device FingerprintA list of device fingerprints for fraud and risk prevention (See Device Fingerprints).
banks OptionalArray of Bank namesThe name of the bank or banks that should be associated with this application. If not specified, the application will be associated with the Org's default bank (visible via Org Settings in the Dashboard).
requestedProducts OptionalArray of ProductThe product being applied for. Contact Unit to enable BillPay and Capital products.
Example Request:
curl -X POST 'https://api.s.unit.sh/applications'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "businessApplication",
"attributes": {
"name": "Pied Piper",
"address": {
"street": "5230 Newell Rd",
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"stateOfIncorporation": "DE",
"ein": "123456789",
"entityType": "Corporation",
"ip": "127.0.0.2",
"annualRevenue": "Between500kAnd1m",
"numberOfEmployees": "Between50And100",
"cashFlow": "Predictable",
"yearOfIncorporation": "2014",
"countriesOfOperation": [
"US",
"CA"
],
"stockSymbol": "PPI",
"businessVertical": "TechnologyMediaOrTelecom",
"website": "https://www.piedpiper.com",
"contact": {
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"email": "richard@piedpiper.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
}
},
"officer": {
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"dateOfBirth": "2001-08-10",
"title": "CEO",
"ssn": "721074426",
"email": "richard@piedpiper.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"address": {
"street": "5230 Newell Rd",
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between50kAnd100k",
"sourceOfIncome": "EmploymentOrPayrollIncome"
},
"beneficialOwners": [
{
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"dateOfBirth": "2001-08-10",
"ssn": "123456789",
"email": "richard@piedpiper.com",
"percentage": 75,
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"address": {
"street": "5230 Newell Rd",
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between50kAnd100k",
"sourceOfIncome": "EmploymentOrPayrollIncome"
}
],
"tags": {
"userId": "2ab1f266-04b9-41fb-b728-cd1962bca52c"
},
"idempotencyKey": "3a1a33be-4e12-4603-9ed0-820922389fb8"
}
}
}'

Response

Response is a JSON:API document.

201 Created

NameTypeDescription
data RequiredBusinessApplicationThe newly created resource.
relationships RequiredJSON:API RelationshipsDescribes relationships between the application resource and other resources (beneficial owners).
includedArray of ApplicationDocument Resource or BeneficialOwner ResourceRequired documents for this application. Each document resource includes the document status. List of the application's beneficial owners.
Example Response:
{
"data": {
"type": "businessApplication",
"id": "50",
"attributes": {
"createdAt": "2020-01-13T16:01:19.346Z",
"name": "Pied Piper",
"dba": null,
"address": {
"street": "5230 Newell Rd",
"street2": null,
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"stateOfIncorporation": "DE",
"ein": "123456789",
"entityType": "Corporation",
"ip": "127.0.0.2",
"website": "https://www.piedpiper.com",
"annualRevenue": "Between500kAnd1m",
"numberOfEmployees": "Between50And100",
"cashFlow": "Predictable",
"yearOfIncorporation": "2014",
"countriesOfOperation": [
"US",
"CA"
],
"stockSymbol": "PPI",
"businessVertical": "TechnologyMediaOrTelecom",
"contact": {
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"email": "richard@piedpiper.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
}
},
"officer": {
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"ssn": "123456789",
"address": {
"street": "5230 Newell Rd",
"street2": null,
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"dateOfBirth": "2001-08-10",
"title": "CEO",
"email": "richard@piedpiper.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between50kAnd100k",
"sourceOfIncome": "EmploymentOrPayrollIncome",
"status": "Approved"
},
"beneficialOwners": [
{
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"ssn": "123456789",
"address": {
"street": "5230 Newell Rd",
"street2": null,
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"dateOfBirth": "2001-08-10",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"email": "richard@piedpiper.com",
"percentage": 75,
"status": "Approved"
}
],
"attestedNoBeneficialOwners": false,
"tags": {
"userId": "2ab1f266-04b9-41fb-b728-cd1962bca52c"
},
"archived": false,
"status": "AwaitingDocuments"
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
},
"documents": {
"data": [
{
"type": "document",
"id": "1"
},
{
"type": "document",
"id": "2"
},
{
"type": "document",
"id": "3"
}
]
}
}
},
"included": [
{
"type": "document",
"id": "1",
"attributes": {
"documentType": "CertificateOfIncorporation",
"status": "Required",
"name": "Pied Piper",
"description": "For Corporation: Please provide a certified copy of the Articles of Incorporation or Certificate of Incorporation..."
}
},
{
"type": "document",
"id": "2",
"attributes": {
"documentType": "AddressVerification",
"status": "Required",
"name": "Richard Hendricks",
"description": "Please provide a document to verify your address. Document may be a utility bill, bank statement, lease agreement or current pay stub.",
"address": {
"street": "5230 Newell Rd",
"street2": null,
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
}
}
},
{
"type": "document",
"id": "3",
"attributes": {
"documentType": "IdDocument",
"status": "Required",
"name": "Richard Hendricks",
"description": "Please provide a copy of your unexpired government issued photo ID which would include Drivers License or State ID."
}
}
]
}

Cancel Application

Cancel an Application under PendingReview or AwaitingDocuments status. The application.canceled webhook event will be fired.

VerbPOST
URLhttps://api.s.unit.sh/applications/{id}/cancel
Data TypeapplicationCancel
Timeout (Seconds)5
Example Request:
curl -X POST 'https://api.s.unit.sh/applications/{id}/cancel'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "applicationCancel",
"attributes": {
"reason": "By Org"
}
}
}'

Response

Response is a JSON:API document.

201 Created

NameTypeDescription
data RequiredIndividualApplication or BusinessApplicationApplication resource. Can be business or individual.
includedArray of ApplicationDocument ResourceApplication required documents, each document object also includes the document status.

Get by Id

Get an application resource by id.

VerbGET
URL https://api.s.unit.sh/applications/{id}
Required Scopeapplications
Timeout (Seconds)5

Response

Response is a JSON:API document.

200 OK

NameTypeDescription
data RequiredIndividualApplication or BusinessApplicationApplication resource. Can be business or individual, as indicated by the type field.
includedArray of ApplicationDocument Resource or BeneficialOwner ResourceRequired documents for this application. Each document resource includes the document status. List of the application's beneficial owners.
curl -X GET 'https://api.s.unit.sh/applications/43' \
-H "Authorization: Bearer ${TOKEN}"

List

List application resources. Paging can be applied.

VerbGET
URLhttps://api.s.unit.sh/applications
Required Scopeapplications
Timeout (Seconds)5

Query Parameters

NameTypeDefaultDescription
page[limit]integer100Optional. Maximum number of resources that will be returned. Maximum is 1000 resources. See Pagination.
page[offset]integer0Optional. Number of resources to skip. See Pagination.
filter[query]string(empty)Optional. Search term according to the Full-Text Search Rules.
filter[status][]string(empty)Optional. Filter applications by Application Status. Usage example: filter[status][0]=Pending&filter[status][1]=Approved
filter[email]string(empty)Optional. Filter applications by email address (case sensitive).
filter[tags]Tags (JSON)(empty)Optional. Filter Applications by Tags.
sortstringsort=-createdAtOptional. sort=createdAt for ascending order or sort=-createdAt (leading minus sign) for descending order.
curl -X GET 'https://api.s.unit.sh/applications?page[limit]=20&page[offset]=10' \
-H "Authorization: Bearer ${TOKEN}"

Response

Response is a JSON:API document.

200 OK

NameTypeDescription
data RequiredArray of IndividualApplication or BusinessApplicationArray of application resources. Each resource can be business or individual, as indicated by the type field.
meta RequiredJSON object that contains pagination dataPagination data includes offset, limit and total (estimated total items).
Example Response:
{
"data": [
{
"type": "individualApplication",
"id": "1",
"attributes": {
"createdAt": "2020-01-15T13:47:36.098Z",
"fullName": {
"first": "Peter",
"last": "Parker"
},
"ssn": "721074426",
"address": {
"street": "20 Ingram St",
"street2": null,
"city": "Forest Hills",
"state": "NY",
"postalCode": "11375",
"country": "US"
},
"dateOfBirth": "2001-08-10",
"email": "peter@oscorp.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"status": "AwaitingDocuments",
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between50kAnd100k",
"sourceOfIncome": "EmploymentOrPayrollIncome",
"archived": false,
"message": "Waiting for you to upload the required documents."
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
},
"documents": {
"data": [
{
"type": "document",
"id": "1"
},
{
"type": "document",
"id": "2"
}
]
}
}
},
{
"type": "businessApplication",
"id": "2",
"attributes": {
"createdAt": "2020-01-15T13:48:38.527Z",
"name": "Pied Piper",
"dba": null,
"address": {
"street": "5230 Newell Rd",
"street2": null,
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"stateOfIncorporation": "DE",
"ein": "123456789",
"entityType": "Corporation",
"contact": {
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"email": "richard@piedpiper.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
}
},
"officer": {
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"ssn": "123456789",
"address": {
"street": "5230 Newell Rd",
"street2": null,
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"dateOfBirth": "2001-08-10",
"email": "richard@piedpiper.com",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"status": "Approved"
},
"beneficialOwners": [
{
"fullName": {
"first": "Richard",
"last": "Hendricks"
},
"ssn": "123456789",
"address": {
"street": "5230 Newell Rd",
"street2": null,
"city": "Palo Alto",
"state": "CA",
"postalCode": "94303",
"country": "US"
},
"dateOfBirth": "2001-08-10",
"phone": {
"countryCode": "1",
"number": "5555555555"
},
"email": "richard@piedpiper.com",
"status": "Approved"
}
],
"attestedNoBeneficialOwners": false,
"archived": false,
"status": "AwaitingDocuments",
"annualRevenue": "Between500kAnd1m",
"numberOfEmployees": "Between50And100",
"cashFlow": "Predictable",
"yearOfIncorporation": "2014",
"countriesOfOperation": [
"US"
],
"stockSymbol": "PPI",
"businessVertical": "TechnologyMediaOrTelecom",
"website": "https://www.piedpiper.com",
"message": "Waiting for you to upload the required documents."
},
"relationships": {
"org": {
"data": {
"type": "org",
"id": "1"
}
},
"documents": {
"data": [
{
"type": "document",
"id": "1"
},
{
"type": "document",
"id": "2"
},
{
"type": "document",
"id": "3"
}
]
}
}
}
],
"meta": {
"pagination": {
"total": 2,
"limit": 100,
"offset": 0
}
}
}

Update Business

Update a business application.

Deprecated

As of February 28, 2027, applications will become immutable when they reach a final state. Therefore, all application attributes, other than tags, could be updated only while the application is in PendingReview or AwaitingDocuments status.

To update the customer information after the application is approved, please update the relevant attributes on the Customer resource.

During the sunset period and until application immutability is enforced, updates made to approved applications will be replicated to the corresponding fields on the customer resource.

Note

Tags that are updated after the application has been approved will not be inherited by the corresponded customer resource.

VerbPATCH
URLhttps://api.s.unit.sh/applications/:id
Required Scopeapplications-write
Timeout (Seconds)5

Attributes

NameTypeDescription
tags RequiredobjectSee Updating Tags.
annualRevenue OptionalAnnualRevenueAnnual revenue of the business.
numberOfEmployees OptionalNumberOfEmployeesNumber of employees of the business.
cashFlow OptionalCashFlowCash flow of the business.
yearOfIncorporation OptionalYear stringYear of incorporation of the business.
countriesOfOperation OptionalArray of ISO31661-Alpha2 stringsAn array of two letter codes representing the countries of operation of the business.
stockSymbol OptionalstringThe stock symbol (ticker) of the business.
website OptionalstringA Valid website Url.
businessVertical OptionalBusinessVerticalThe business vertical of the business.

Response

Response is a JSON:API document.

200 OK

NameTypeDescription
data RequiredBusinessApplicationThe updated BusinessApplication resource.
relationships RequiredJSON:API RelationshipsDescribes relationships between the application resource and other resources (beneficial owners).
includedArray of ApplicationDocument Resource or BeneficialOwner ResourceRequired documents for this application. Each document resource includes the document status. List of the application's beneficial owners.
Update business application:
curl -X PATCH 'https://api.s.unit.sh/application/:id'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "businessApplication",
"attributes": {
"tags": {
"by": "Richard Hendricks",
"id": "23033b64-38f8-4dbc-91a1-313ff0156d02"
},
"annualRevenue": "Between500kAnd1m",
"numberOfEmployees": "Between50And100",
"cashFlow": "Predictable",
"yearOfIncorporation": "2014",
"countriesOfOperation": [
"US",
"CA"
],
"stockSymbol": "PPI",
"businessVertical": "TechnologyMediaOrTelecom"
}
}
}'

Update Business Officer

Update a business application's officer.

Deprecated

As of February 28, 2027, applications will become immutable when they reach a final state. Therefore, all officer attributes could be updated only while the application is in PendingReview or AwaitingDocuments status.

To update the officer information after the application is approved, please update the relevant attributes on the Officer resource.

During the sunset period and until application immutability is enforced, updates made to approved applications will be replicated to the corresponding fields on the customer resource.

VerbPATCH
URLhttps://api.s.unit.sh/applications/:id
Required Scopeapplications-write
Timeout (Seconds)5

Attributes

NameTypeDescription
officer.title OptionalOfficerTitleTitle of the officer.
officer.occupation OptionalOccupationOccupation of the officer.
officer.annualIncome OptionalAnnualIncomeAnnual income of the officer.
officer.sourceOfIncome OptionalSourceOfIncomeSource of income of the officer.

Response

Response is a JSON:API document.

200 OK

NameTypeDescription
data RequiredBusinessApplicationThe updated BusinessApplication resource.
relationships RequiredJSON:API RelationshipsDescribes relationships between the application resource and other resources (beneficial owners).
includedArray of ApplicationDocument Resource or BeneficialOwner ResourceRequired documents for this application. Each document resource includes the document status. List of the application's beneficial owners.
Update business application officer:
curl -X PATCH 'https://api.s.unit.sh/application/:id'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "businessApplication",
"attributes": {
"officer": {
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between10kAnd25k",
"sourceOfIncome": "EmploymentOrPayrollIncome",
"title": "CEO"
}
}
}
}'

Update Business Beneficial Owner

Update a business application's beneficial owner. The application id associated with the beneficial owner must be passed as a relationship in the request body.

VerbPATCH
URLhttps://api.s.unit.sh/beneficial-owner/:id
Required Scopeapplications-write
Timeout (Seconds)5

Attributes

NameTypeDescription
occupation OptionalOccupationOccupation of the beneficial owner.
annualIncome OptionalAnnualIncomeAnnual income of the beneficial owner.
sourceOfIncome OptionalSourceOfIncomeSource of income of the beneficial owner.
percentage OptionalintegerThe beneficial owner percentage of ownership at the business (between 25 and 100).

Response

Response is a JSON:API document.

200 OK

NameTypeDescription
data RequiredBeneficialOwnerThe updated BeneficialOwner resource.
Update business application beneficial owner:
curl -X PATCH 'https://api.s.unit.sh/beneficial-owner/:id'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "beneficialOwner",
"attributes": {
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between10kAnd25k",
"sourceOfIncome": "EmploymentOrPayrollIncome"
},
"relationships": {
"application": {
"data": {
"type": "businessApplication",
"id": "10001"
}
}
}
}
}'

Update Individual

Update an individual application.

Deprecated

As of February 28, 2027, applications will become immutable when they reach a final state. Therefore, all application attributes, other than tags, could be updated only while the application is in PendingReview or AwaitingDocuments status.

To update the customer information after the application is approved, please update the relevant attributes on the Customer resource.

During the sunset period and until application immutability is enforced, updates made to approved applications will be replicated to the corresponding fields on the customer resource.

Note

Tags that are updated after the application has been approved will not be inherited by the corresponded customer resource.

VerbPATCH
URLhttps://api.s.unit.sh/applications/:id
Required Scopeapplications-write
Timeout (Seconds)5

Attributes

NameTypeDescription
tags RequiredobjectSee Updating Tags.
occupation OptionalOccupationOccupation of the individual.
annualIncome OptionalAnnualIncomeAnnual income of the individual.
sourceOfIncome OptionalSourceOfIncomeSource of income of the individual.

Response

Response is a JSON:API document.

200 OK

NameTypeDescription
data RequiredIndividualApplicationThe updated IndividualApplication resource.
Update individual application:
curl -X PATCH 'https://api.s.unit.sh/application/:id'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "individualApplication",
"attributes": {
"tags": {
"by": "Richard Hendricks",
"id": "23033b64-38f8-4dbc-91a1-313ff0156d02"
},
"occupation": "ArchitectOrEngineer",
"annualIncome": "Between10kAnd25k",
"sourceOfIncome": "EmploymentOrPayrollIncome"
}
}
}'

Update Sole Proprietor

Update a sole-proprietorship application.

Deprecated

As of February 28, 2027, applications will become immutable when they reach a final state. Therefore, all application attributes, other than tags, could be updated only while the application is in PendingReview or AwaitingDocuments status.

To update the customer information after the application is approved, please update the relevant attributes on the Customer resource.

During the sunset period and until application immutability is enforced, updates made to approved applications will be replicated to the corresponding fields on the customer resource.

Note

Tags that are updated after the application has been approved will not be inherited by the corresponded customer resource.

VerbPATCH
URLhttps://api.s.unit.sh/applications/:id
Required Scopeapplications-write
Timeout (Seconds)5

Attributes

NameTypeDescription
tags RequiredobjectSee Updating Tags.
annualRevenue OptionalAnnualRevenueSpecify the annual revenue here.
numberOfEmployees OptionalNumberOfEmployeesSpecify the number of employees here.
businessVertical OptionalBusinessVerticalSpecify the business vertical here.
website OptionalstringSpecify the business website here.

Response

Response is a JSON:API document.

200 OK

NameTypeDescription
data RequiredIndividualApplicationThe updated IndividualApplication resource.
Update sole-proprietor application:
curl -X PATCH 'https://api.s.unit.sh/application/:id'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "individualApplication",
"attributes": {
"tags": {
"by": "Richard Hendricks",
"id": "23033b64-38f8-4dbc-91a1-313ff0156d02"
},
"annualRevenue": "UpTo50k",
"numberOfEmployees": "Between2And5",
"businessVertical": "BusinessSupportOrBuildingServices",
"website": "https://unit.co"
}
}
}'